org.apache.ivy.core.module.descriptor

## Class ConfigurationGroup

- java.lang.Object
- - org.apache.ivy.util.extendable.UnmodifiableExtendableItem
  - - org.apache.ivy.util.extendable.DefaultExtendableItem
    - - org.apache.ivy.core.module.descriptor.Configuration
      - - org.apache.ivy.core.module.descriptor.ConfigurationGroup

All Implemented Interfaces:
  InheritableItem, ExtendableItem

    public class ConfigurationGroup
    extends Configuration

A configuration which is actually a group of several configurations.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ivy.core.module.descriptor.Configuration

`Configuration.Visibility`

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationGroup(java.lang.String confName, java.util.Map members)`

### Method Summary

Methods
`Configuration` `getMemberConfiguration(java.lang.String confName)` Returns the `Configuration` object for the given conf name, or `null` if the given conf name is not part of this group or if this conf name isn't defined in the module in which this group has been built.
`java.lang.String[]` `getMembersConfigurationNames()` Returns the list of configurations' names this object is a group of.
`Configuration.Visibility` `getVisibility()`

### Methods inherited from class org.apache.ivy.core.module.descriptor.Configuration

`equals, findConfigurationExtending, getDeprecated, getDescription, getExtends, getName, getSourceModule, hashCode, isTransitive, replaceWildcards, toString`

### Methods inherited from class org.apache.ivy.util.extendable.DefaultExtendableItem

`setExtraAttribute`

### Methods inherited from class org.apache.ivy.util.extendable.UnmodifiableExtendableItem

`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes, setStandardAttribute`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationGroup

    public ConfigurationGroup(java.lang.String confName,
                      java.util.Map members)

### Method Detail

#### getMembersConfigurationNames

    public java.lang.String[] getMembersConfigurationNames()

Returns the list of configurations' names this object is a group of.

This list is built from the configuration name, if some of these configuration names have actually not been recognized in the module, they will be `null` when accessed from `#getIntersectedConfiguration(String)`.

Returns:
  the list of configurations' names this object is an intersection of.

#### getMemberConfiguration

    public Configuration getMemberConfiguration(java.lang.String confName)

Returns the `Configuration` object for the given conf name, or `null` if the given conf name is not part of this group or if this conf name isn't defined in the module in which this group has been built.

Parameters:
  `confName` - the name of the configuration to return.
Returns:
  the member `Configuration` object for the given conf name

#### getVisibility

    public Configuration.Visibility getVisibility()

Overrides:
  `getVisibility` in class `Configuration`
Returns:
  Returns the visibility. Never null.